| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Details::Property::SwapCall Struct Reference

helper to disable a while triggering it, to avoid infinite recursion More...

`#include <GaudiKernel/Property.h>`

Collaboration diagram for Gaudi::Details::Property::SwapCall:
[legend]

## Public Types
using | callback_t = std::function< void(PropertyBase &)>

## Public Member Functions
| SwapCall (callback_t &input)
| ~SwapCall ()
void | operator() (PropertyBase &p) const

## Public Attributes
callback_t | tmp
callback_t & | orig

## Detailed Description

helper to disable a while triggering it, to avoid infinite recursion

Definition at line 248 of file Property.h.

## Member Typedef Documentation

using Gaudi::Details::Property::SwapCall::callback_t = std::function<void( PropertyBase& )>

Definition at line 249 of file Property.h.

## Constructor & Destructor Documentation

Gaudi::Details::Property::SwapCall::SwapCall | ( | callback_t & | input | ) |
| inline

Definition at line 251 of file Property.h.

251 : orig( input ) { tmp.swap( orig ); }
std::function::swap
T swap(T...args)
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:250
Gaudi::Details::Property::SwapCall::orig
callback_t & orig
Definition: Property.h:250

Gaudi::Details::Property::SwapCall::~SwapCall | ( |  | ) |
| inline

Definition at line 252 of file Property.h.

252 { orig.swap( tmp ); }
std::function::swap
T swap(T...args)
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:250
Gaudi::Details::Property::SwapCall::orig
callback_t & orig
Definition: Property.h:250

## Member Function Documentation

void Gaudi::Details::Property::SwapCall::operator() | ( | PropertyBase & | p | ) | const
| inline

Definition at line 253 of file Property.h.

253 { tmp( p ); }
Gaudi::Details::Property::SwapCall::tmp
callback_t tmp
Definition: Property.h:250

## Member Data Documentation

callback_t & Gaudi::Details::Property::SwapCall::orig

Definition at line 250 of file Property.h.

callback_t Gaudi::Details::Property::SwapCall::tmp

Definition at line 250 of file Property.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h